%define _disable_ld_no_undefined 1
%define mod_name mod_auth_cas

Name:           apache-%{mod_name}
Version:        1.0.9.1
Release:        %mkrel 19
Summary:        CAS authentication module
Group:          System/Servers
License:        GPLv3+ with exceptions
URL:            http://www.ja-sig.org/wiki/display/CASC/mod_auth_cas
# The source for this package was pulled from the upstream's vcs. Their
# releases are stored in SVN instead of exported to a tar.gz, I used the
# following commands to do so:
#  svn export https://source.jasig.org/cas-clients/mod_auth_cas/tags/mod_auth_cas-1.0.8.1 mod_auth_cas-1.0.8.1

#  tar -czvf mod_auth_cas-1.0.8.1.tar.gz mod_auth_cas-1.0.8.1/
Source0:        mod_auth_cas-1.0.9.1.tar.gz
Source1:        mod_auth_cas.conf
Source2:        auth_cas.conf
Patch0:         485378eb5c5ea41bcd6ddedfe85de9bc635664ef.patch
Patch1:         mod_auth_cas-1.0.9.1-openssl11.patch
BuildRequires:  pkgconfig(openssl)
BuildRequires:  apache-devel
BuildRequires:  pkgconfig(libcurl)
Requires:	    apache

%description
mod_auth_cas is an Apache 2.0/2.2 compliant module that supports the CASv1
and CASv2 protocols

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p 1

%build
autoreconf -fi
%configure --with-apxs=%{_httpd_apxs}
%make_build

%install
%make_install

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_auth_cas.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/auth_cas.conf

install -d -m 755 %{buildroot}%{_localstatedir}/cache/httpd/mod_auth_cas

%files
%doc README
%config(noreplace) %{_httpd_modconfdir}/10_mod_auth_cas.conf
%config(noreplace) %{_httpd_extconfdir}/auth_cas.conf
%{_httpd_moddir}/mod_auth_cas.so
%attr(-,apache,apache) %{_localstatedir}/cache/httpd/mod_auth_cas


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.9.1-19.mga10
+ Revision: 2210766
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.0.9.1-18.mga9
+ Revision: 1821962
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.0.9.1-17.mga9
+ Revision: 1747765
- rebuild for openssl 3.0.0

* Wed Feb 12 2020 umeabot <umeabot> 1.0.9.1-16.mga8
+ Revision: 1508503
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.0.9.1-15.mga7
+ Revision: 1294382
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 1.0.9.1-14.mga7
+ Revision: 1152189
- patch1: fix configure.ac for openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 1.0.9.1-13.mga6
+ Revision: 983141
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 1.0.9.1-12.mga6
+ Revision: 937474
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.9.1-11.mga6
+ Revision: 937027
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9.1-10.mga5
+ Revision: 741313
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9.1-9.mga5
+ Revision: 677833
- Mageia 5 Mass Rebuild

* Thu Jul 17 2014 guillomovitch <guillomovitch> 1.0.9.1-8.mga5
+ Revision: 653453
- fix SAML validation, using original patch submitted upstream

* Fri Oct 18 2013 umeabot <umeabot> 1.0.9.1-7.mga4
+ Revision: 502527
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.9.1-6.mga3
+ Revision: 345837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 1.0.9.1-5.mga3
+ Revision: 280761
- rebuild for new apache setup

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.9.1-4.mga2
+ Revision: 223839
- httpd restart is handled by filetriggers now

* Fri Mar 16 2012 guillomovitch <guillomovitch> 1.0.9.1-3.mga2
+ Revision: 223644
- add preconfigured cookie cache directory

* Fri Mar 16 2012 guillomovitch <guillomovitch> 1.0.9.1-2.mga2
+ Revision: 223627
- fix default configuration
- fix dependencies

* Thu Mar 15 2012 guillomovitch <guillomovitch> 1.0.9.1-1.mga2
+ Revision: 223499
- imported package apache-mod_auth_cas


* Thu Mar 15 2012 Guillaume Rousse <guillomovitch@gmail.com> 1.0.9.1-1.mga2
- first mageia release 
